<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();


// $pager = new Yab_Helper_Pager($fsn_categories_index, 'pager_fsn_categorie');

// $fsn_categories_index_index = $pager->getStatement();
//$fsn_categories_index->noLimit();


	// gestion des accentuations / date / ....
	$filter_html = new Yab_Filter_Html();
	$session->set('format','%d/%m/%Y') ;
	  
//	$pager = new Yab_Helper_Pager($fsn_historiques, 'pager_fsn_historique');
  
//	$categorie_object_filter = $pager->getFilter('', 'categorie_object', 'categorie_object')
//	  	->set('label',$filter_html->filter( $i18n -> say('categorie_object') ))
//	  	->set('onChange','submit()')
//	  	->set('fake_options', array('' => '-- '.$i18n->say('make_a_choice').' le '.$i18n->say('module')))
//	  	->getHtml();

$fsn_historiques_index->noLimit();	        
  
//  $fsn_historiques = $pager->getStatement();

  $helper_form = new Yab_Helper_Form($form);
  $form_errors = $form->getErrors();

  $module = $form->getElement('categorie_object')->getValue(); 
  
  // Tableau associant module fonctionnel et colonne identifiant affiché
  $categorie_object_identifiant = array(
  	'oa' => 'identification',
  	'oa_doc' => 'oa_id',
  	'organisme' => 'nom',
  	'sitefouille' => 'nom',
  	'us' => 'identification',
  	'us_doc' => 'us_id',
  	'us_er' => 'us_id',
  	'phase_us' => 'phase_id',
  	'inclusion' => 'inclusion1_id',
  	'elementrecueilli' => 'numero',	
  	'er_doc' => 'er_id',
  	'elementpoterie' => 'classification_id',
  	'er_naturematiere' => 'er_id',
  	'fai' => 'identification',
  	'fai_us' => 'fai_id',
  	'participation' => 'intervenant_id',
	'fai' => '',
	'fai_us' => '',
	'document' => '',
	'intervention_us' => '',
	'participation' => '',
	'superposition' => '',
	'synchronisation' => '',
	'inclusion' => '',
	'user' => '',
	'interfait' => '',
  );
  
  
  $display_search = 'none' ;
  if ( !empty($module) || !empty($form_errors) )
    $display_search = 'block' ;
?>

<script type='text/javascript'>

    var show_detail = false;

    $(document).ready(function () {
        var oTableHistorique;
        setClickableRow();
        oTableHistorique = $(".table_module").dataTable({
            "bPaginate": true,
            "bProcessing": false,
            "bInfo": false,
            "oLanguage": {
                "sZeroRecords": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_error')) ; ?>",
                "sSearch": "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale')) ; ?> :"
            },
            "sPaginationType": "full_numbers",
        });
        oSettings = oTableHistorique.fnSettings();
    });
    function setClickableRow() {
        $("table .table-clickable-row").each(function () {
            var redirect = $(this).attr('href')
            $(".table-row-data", $(this)).click(function () {
                window.location.href = redirect;
            })
        })
    }

</script>

<div class="table-responsive">
  <div id="optiontools">
    <div id="form_search"  role="form" class="form-horizontal" style="width:60%; margin-left:20%;" >
      <fieldset>
        <legend>Rechercher</legend>
        <span id="close" onclick=" $('#searchparam').toggle(); " style="float: right;margin-top:-10px; margin-right:2px; cursor:pointer;">
          <span id="show_hide" class="glyphicon glyphicon-zoom-in" style="cursor:pointer; font-size: 24px;" alt="SHOW" title="Rechercher" ></span>
          <!-- <img src="<?php echo $request->getBaseUrl(); ?>/images/search.png" alt="SHOW" title="Rechercher" /> -->
        </span>
        <div id="searchparam" style="display:<?php echo $display_search ; ?>" >
        	<?php echo $helper_form ; ?>        	
        </div>
      </fieldset>
    </div>  
  </div>

<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_fsn_historiques_index_wrapper">
		<table id="table_fsn_historiques_index"
			class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('fsn_historique_title_index')) ; ?>
			</caption>
			<thead>
				
			 <tr class="headings">

                <th><?php echo $filter_no_html->filter( $i18n->say('id')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('categorie_object')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('login')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('type_action')) ; ?></th>
                <th><?php echo $filter_no_html->filter( $i18n->say('date_historique')) ; ?></th> 					

			 </tr>
			</thead>
			
			
			
			<tbody>
				<?php foreach($fsn_historiques_index as $fsn_historique){ ?>
			
			<tr href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
						title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>" class="table-clickable-row">
	
	<!-- 	<td class="table-row-data"><a href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
						title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"></a>   -->
						
	<td class="table-row-data">		
		<?php
	    $data =  $fsn_historique ->get('data_modified');
	    $categorie_object = strtolower ($fsn_historique->get('categorie_object')) ;	
	    $type_action = strtolower ($fsn_historique->get('type_action')) ;
			switch ($categorie_object){
				
	  		case 'oa':
	        echo json_decode($data, TRUE) ['identification'];		// C'est bon  ===========>  OK
	  			break;
	  //Edem 10-09-2015  // C'est bon  ===========>  OK
	  		case 'organisme':
	  			echo json_decode($data, TRUE) ['nom'];		// C'est bon  ===========>  OK
	  			break;
	  //Edem 18-08-2015  // C'est bon  ===========>  OK
	  		case 'oa_doc':				
	  				//	echo json_decode($data, TRUE)  ['oa_id'];
	  			$model_oa = new Model_Oa(json_decode($data, TRUE) ['oa_id']);
	  			$oa = $model_oa->get('identification'); 	
	  			echo $oa;					
	  			break;	; 	
	  		case 'us':
	  			if($type_action != 'import') {
	  				echo json_decode($data, TRUE)  ['identification'];		// C'est bon  ===========>  OK	  				
	  			} else {	  				
	  				continue;
	  			}
	        	break;
	  //Edem 18-08-2015	// C'est bon  ===========>  OK		
	  		case 'us_doc':						
	  			$model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
	  			$us = $model_us->get('identification'); 
	  			echo $us;				
	  			break;
	  //Edem 18-08-2015	// C'est bon  ===========>  OK
	  		case 'us_er':				
	  			//		echo json_decode($data, TRUE)  ['us_id'];
	  			$model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
	  			$us = $model_us->get('identification');
	  			echo $us;					
	  			break;			
	  		case 'phase_us':
	  			$phase = '' ;
	  			$phase_id = !empty(json_decode($data, TRUE)['phase_id']) ? json_decode($data, TRUE)['phase_id'] : null ;
	  			if ( !empty($phase_id) ) {
	  				$model_phase = new Model_Phasechrono ($phase_id);	  			
	  				$phase = $model_phase->get('identification');	  				
	  			} 
	  			$us = '' ;
	  			$us_id = !empty(json_decode($data, TRUE) ['us_id']) ? json_decode($data, TRUE) ['us_id'] : null ;
	  			if ( !empty($us_id) ) {
	  				$model_us = new Model_Us($us_id);
	  				$us = $model_us->get('identification');
	  			} 
	  			echo $phase .'-' .$us;			
	  			break;		
	  		case 'elementrecueilli':					
	  			echo json_decode($data, TRUE)  ['numero'];											
	  		  break;
	  //Edem 18-08-2015				
	  		case 'er_doc':				
	  	// echo json_decode($data, TRUE)  ['er_id'];
	  			$model_elementrecueilli = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_id']);
	  			$elementrecueilli = $model_elementrecueilli->get('numero');
	  			echo $elementrecueilli;				
	  			break;
	  //Edem 20-08-2015	// C'est bon  ===========>  OK	
	  		case 'elementpoterie':				
	  		//			echo json_decode($data, TRUE)  ['classification_id'];
	  			$caracterepate_id = json_decode($data, TRUE) ['caracterepate_id'] ;
	  			if(!empty($caracterepate_id) ){
		  			$model_fsn_categorie = new Model_Fsn_Categorie($caracterepate_id);
		  			$fsn_categorie = $model_fsn_categorie->get('categorie_value');
		  				
	  			} else {
	  				$fsn_categorie = '';
	  			}
	  			$cle_metier = $fsn_historique->get('cle_metier');
	  			echo $cle_metier .'-' . $fsn_categorie;						
	  			break;	
	  //Edem 18-08-2015	// C'est bon  ===========>  OK	
	  		case 'er_naturematiere':				
	  		//			echo json_decode($data, TRUE)  ['er_id'];
	  			$model_fsn_categorie = new Model_Fsn_Categorie(json_decode($data, TRUE) ['naturematiere_id']);
	  			$fsn_categorie = $model_fsn_categorie->get('categorie_value');	
	  			$model_elementrecueilli = new Model_Elementrecueilli(json_decode($data, TRUE) ['er_id']);
	  			$elementrecueilli = $model_elementrecueilli->get('numero');
	  			echo $elementrecueilli .'-' . $fsn_categorie;		
	  			break;	
	  					
	  		case 'fai':				
	  			echo json_decode($data, TRUE)  ['identification'];	// C'est bon  ===========>  OK		
	  			break;	
	  		case 'fai_us':
	  			$model_fai = new Model_Fai (json_decode($data, TRUE) ['fai_id']);
	  			$fai= $model_fai->get('identification'); 	
	  			$model_us = new Model_Us(json_decode($data, TRUE) ['us_id']);
	  			$us = $model_us->get('identification'); 	
	  			echo $fai .'-' . $us;					
	  			break;		
	  		case 'inclusion':
	  			$model_us_incluante = new Model_Us(json_decode($data, TRUE) ['inclusion2_id']);
	  			$us_incluante = $model_us_incluante->get('identification'); 	
	  			
	  			$model_us_incluse = new Model_Us(json_decode($data, TRUE) ['inclusion1_id']);
	  			$us_incluse = $model_us_incluse->get('identification');
	  			
	  			echo $us_incluse.' -> ' . $us_incluante ;					
	  			break;	
	  		case 'document':				
	        	echo json_decode($data, TRUE)  ['chemin'];				
	  			break;
	  		case 'intervention_us':   // C'est bon  ===========>  OK
	  			$model_intervenant = new Model_Intervenant(json_decode($data, TRUE) ['intervenant_id']); // Création du model inervenant.
	  			$nom = $model_intervenant->get('nom'); // Récupération du nom de l'intervenant du model intervenant.
	  			$prenom = $model_intervenant->get('prenom');// Récupération du prénom de l'intervenant du model intervenant.
	  			$model_us = new Model_Us(json_decode($data, TRUE) ['us_id']); // Création du model US.
	  			$us = $model_us->get('identification'); // Récupération de l'identification du model US.
	  			$debut = json_decode($data, TRUE) ['debut'];
	  			$fin = json_decode($data, TRUE) ['fin'];
	  			echo $nom .'-'. $prenom .' '. $us .' du '.$debut.' au '.$fin; // Koffi - Daniel a participé a Ilot du Cygne du 01/01/1515 au 11/08/2015
	  			break;
	  				
	  		case 'participation':   // C'est bon  ===========>  OK
	  			$model_intervenant = new Model_Intervenant(json_decode($data, TRUE) ['intervenant_id']); // Création du model inervenant.
	  			$nom = $model_intervenant->get('nom'); // Récupération du nom de l'intervenant du model intervenant.
	  			$prenom = $model_intervenant->get('prenom');// Récupération du prénom de l'intervenant du model intervenant.
	  			$model_oa = new Model_Oa(json_decode($data, TRUE) ['oa_id']); // Création du model oa.
	  			$oa = $model_oa->get('identification'); // Récupération de l'identification du model oa.
	  			$debut = json_decode($data, TRUE) ['debut'];
	  			$fin = json_decode($data, TRUE) ['fin'];
	  			echo $nom .'-' . $prenom .' a participé à '. $oa.' du '.$debut.' au '.$fin; // Koffi - Daniel a participé a Ilot du Cygne du 01/01/1515 au 11/08/2015
	  			break;
	  //Edem 19-08-2015  // C'est bon  ===========>  OK
	  		case 'superposition':				
	  				//	echo json_decode($data, TRUE)  ['anterieur_id'];
	  			$model_us = new Model_Us (json_decode($data, TRUE) ['anterieur_id']);
	  			$us= $model_us->get('identification'); 	
	  			$model_us2 = new Model_Us(json_decode($data, TRUE) ['posterieur_id']);
	  			$us2 = $model_us2->get('identification'); 	
	  			echo $us .'-' .$us2;					
	  			break;
	  				
	  //Edem 19-08-2015 // C'est bon  ===========>  OK
	  		case 'synchronisation':				
	  			//		echo json_decode($data, TRUE)  ['synchro1_id'];	
	  			$synchro1_id = json_decode($data, TRUE) ['synchro1_id'] ;
	  			if(!empty($synchro1_id) ){
		  			$model_us = new Model_Us ($synchro1_id);
		  			$us1 = $model_us->get('identification');		  				
	  			} else {
	  				$us1 = '' ;
	  			}
	  			$synchro2_id = json_decode($data, TRUE) ['synchro2_id'] ;
	  			if(!empty($synchro2_id) ){
	  				$model_us2 = new Model_Us($synchro2_id);
	  				$us2 = $model_us2->get('identification');	  				
	  			} else {
	  				$us2 = '' ;
	  			}
	  			echo $us1 .'-' .$us2;					
	  			break;		
	  //Edem 19-08-2015  // C'est bon  ===========>  OK
	  		case 'inclusion':				
	  			//		echo json_decode($data, TRUE)  ['synchro1_id'];	
	  			$model_us = new Model_Us (json_decode($data, TRUE) ['inclusion1_id']);
	  			$us= $model_us->get('identification'); 	
	  			$model_us2 = new Model_Us(json_decode($data, TRUE) ['inclusion2_id']);
	  			$us2 = $model_us2->get('identification'); 	
	  			echo $us .'-' .$us2;					
	  			break;	
	
	  		case 'user':
				echo json_decode($data, TRUE) ['login'];
	  			break;
	  			
	   //Edem 24-09-2015  // C'est bon  ===========>  OK	
	  		case 'interfait':				
	  			$model_fai = new Model_Fai (json_decode($data, TRUE) ['fai_id']);
	  			$fai= $model_fai->get('identification');
	  			$model_fai1 = new Model_Fai (json_decode($data, TRUE) ['fai_id_1']);
	  			$fai1= $model_fai1->get('identification');  	
	  			echo $fai .'-' .$fai1;			
	  			break;	
	  	default:	
	  		echo 'aucune';
	  		break;
	  		
	  }
				
	?>		
		</td>
			
			<!--  	<td class="table-row-data"><a href="<?php echo $this->getRequest('Fsn_Historique', 'show', array($fsn_historique->get('id')) ); ?>"
						title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"></a></td>	 
			-->					
                <td class="table-row-data"><?php echo $fsn_historique->get('categorie_object', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $fsn_historique->get('login', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $fsn_historique->get('type_action', $filter_html); ?></td>
                <td class="table-row-data"><?php echo $fsn_historique->get('date_historique', $filter_html); ?></td>

			</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>
</div>
</div>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
		href="<?php echo $this->getRequest('Index', 'index'); ?>"
		class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>





















































  